Bug 1563820 - [RFE] Unable to specify host when provisioning VM
Summary: [RFE] Unable to specify host when provisioning VM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.11.z
Assignee: Marek Aufart
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 19:46 UTC by Ryan Spagnola
Modified: 2020-01-14 19:12 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-14 19:12:32 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Johnny Ayissi 2018-04-05 14:55:52 UTC
Good Morning Greg,


That is not the problem as our client's requirement are to scrub every server hostname and IP address out before submitting every log file to a vendor case.


Thanks in advance,

Johnny J. Ayissi

Comment 6 Johnny Ayissi 2018-04-11 17:11:46 UTC
Good afternoon Team,

I posted a reply back to RH Case #02063452 a few days ago. Client's security policy will prohibit exposing sensitive information in logs, so the records of hostname and IP must be scrubbed before given to a vendor. 

Is there any update on this BZ/Case? Is there anything I can provide to help push this along?


Thanks in advance,

Johnny J. Ayissi

Comment 7 Greg McCullough 2018-04-12 15:44:23 UTC
Reviewing this issue more the issue is that the `migrate` method is exposed directly on the VmOrTemplate model (the base model) and was originally written when Infra providers existed and has not been updated.

The basic logic is Infra specific and only two providers are fully supported today: VMware and RHV

Brad - We can look to address this issue but I am wondering if you are aware of any work-arounds that may existing?  Do you know of any automate solutions to go directly against the provider?

Comment 8 Adam Grare 2018-04-12 18:09:16 UTC
Openstack provider has a supports_not :migrate which should prevent the UI from issuing a migrate operations, https://github.com/ManageIQ/manageiq-providers-openstack/blob/master/app/models/manageiq/providers/openstack/cloud_manager/vm/operations/relocation.rb#L9

If this is being called from automate and the script isn't checking for supported features that sounds like the issue.

Comment 15 Joe Wood 2018-08-29 18:25:03 UTC
The current workaround for this is using a Rails Runner Command:

cmd = "/var/www/miq/vmdb/bin/rails r 'ManageIQ::Providers::Openstack::CloudManager::Vm.live_migrate(#{vm.id}, {:hostname=> \"#{new_host}\"})'"


Note You need to log in before you can comment on or make changes to this bug.